2019-03-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	2.60.0

2019-03-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	giomm.h: Add missing #include directives

2019-03-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::NetworkManager: Add class documentation

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio: Add some API (AppInfo::launch_uris_async() etc.)

	* gio/src/appinfo.hg: Add launch_uris_async() and launch_uris_async().
	* gio/src/asyncresult.hg: _IGNORE g_async_result_legacy_propagate_error().
	* gio/src/dbusconnection.hg: Add get/property_flags().
	* tools/m4/convert_gio.m4: Add conversions for GDBusConnectionFlags.

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib: Add some API (DateTime::get_timezone() etc.)

	* glib/src/datetime.[ccg|hg]: Add get_timezone().
	* glib/src/keyfile.hg: Add get_locale_for_key().
	* glib/src/timezone.hg: Add get_identifier().

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::Settings: Add property_settings_schema()

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio: Use _IS_REFCOUNTED_BOXEDTYPE where appropriate

	* gio/src/dbusintrospection.hg: Add _IS_REFCOUNTED_BOXEDTYPE to
	Gio::DBus::InterfaceInfo which is used in _WRAP_PROPERTY in Gio::DBus::Proxy.
	* gio/src/settingsschema.hg: Add _IS_REFCOUNTED_BOXEDTYPE. SettingsSchema is
	used in _WRAP_PROPERTY in Gio::Settings.

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Add _IS_REFCOUNTED_BOXEDTYPE

	* glib/glibmm/value.h: Add Value_RefPtrBoxed<>.
	* tools/m4/class_opaque_refcounted.m4: Add _IS_REFCOUNTED_BOXEDTYPE, which can
	be used together with _CLASS_OPAQUE_REFCOUNTED. It generates a *_get_type()
	function and a Glib::Value specialization. A Glib::Value specialization is
	required, if the C++ class is used in _WRAP_PROPERTY.

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::TlsClientConnection: Deprecate property_accepted_cas()

	It does not work because there is no suitable Glib::Value<T> specialization.
	get_accepted_cas() can be used instead.

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Value: Add Value<std::vector<string>> specializations

	Add Value<std::vector<std::string>> and Value<std::vector<Glib::ustring>>.
	One of them is needed in _WRAP_PROPERTY("names", std::vector<Glib::ustring>)
	in Gio::ThemedIcon and in _WRAP_PROPERTYs in gtkmm.

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::ThemedIcon: Add create(const std::vector<Glib::ustring>& iconnames)

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::AsyncResult: Explain why wrap() is not used in get_source_object_base()

	* gio/src/asyncresult.ccg: Replace a TODO comment with an explanation.
	* tests/giomm_asyncresult_sourceobject/main.cc: Add code that demonstrates
	why Glib::wrap(GObject* object, bool take_copy) returns an empty RefPtr.

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib: Add some Glib::Value<> specializations

	* glib/glibmm/error.[cc|h]: Add operator bool(). Add Glib::Value<Glib::Error>
	so Glib::Error can be used in _WRAP_PROPERTY().
	* glib/glibmm/value.[cc|h]: Add Glib::ValueBase_Variant, base class of
	Glib::Value<VariantBase>.
	* glib/src/variant.[ccg|hg]: Add Glib::Value<VariantBase> which is
	needed in _WRAP_PROPERTY() in Gio:Action.
	* glib/src/varianttype.[ccg|hg]: Add Glib::Value<VariantType> which is
	needed in _WRAP_PROPERTY() in Gio:Action.

	All data types that occur in _WRAP_PROPERTY() must have correct Glib::Value<>
	specializations. In most cases missing Value<> specializations are noticed
	only during execution of code that calls an affected property_*() method.

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio: Remove NO_GTYPE from some _WRAP_ENUMs

	NO_GTYPE can't be used in _WRAP_ENUM if the enum is used in _WRAP_PROPERTY.
	The error is noticed only during execution of code that calls the generated
	property_*() method. Fixes #37

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Object construction: Add custom class init and instance init functions

	Make it possible for named custom types to register additions to the
	class init function and to register an instance init function.
	Fixes #33

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::TlsConnection: Deprecate rehandshake API

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::Application: Add signal_name_lost()

2019-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib, Gio: Regenerate docs.xml and .defs files

2019-03-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	2.58.1

2019-01-20  Tapasweni Pathak  <tapasweni.pathak@ril.com>

	Add few installation instructions

2019-01-08  Daniel Boles  <dboles.src@gmail.com>

	Gio::Settings: Fix typo in deprecation notice

2019-01-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Revert "Gio: Remove NO_GTYPE from some _WRAP_ENUMs"

	This reverts commit 17e3b167900b95986babeb8fcabd335881ea4d53.
	The reverted commit added new ABI. It must not be added to
	the glibmm-2-58 branch.

2019-01-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio: Remove NO_GTYPE from some _WRAP_ENUMs

	NO_GTYPE can't be used in _WRAP_ENUM if the enum is used in _WRAP_PROPERTY.
	The error is noticed only during execution of code that calls the generated
	property_*() method. Fixes #37

2019-01-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: _WRAP_ENUM and _WRAP_GERROR: Add gtype_func parameter

	The M4 macro _GET_TYPE_FUNC() does not generate correct function names for
	GDBus* enums. This fix makes it possible to specify the function name in
	the call to _WRAP_ENUM or _WRAP_GERROR. See issue #37

2019-01-03  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	tools/gen_scripts: Update for non-source-dir builds of glibmm-2.4

	jhbuild/modulesets/gnome-suites-core-deps-latest.modules has been changed
	to allow jhbuild to build glibmm-2.4 with builddir != sourcedir.

2018-12-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	tools/gen_scripts/init_generate.sh: glibmm -> glibmm-2.4

	init_generate.sh was too quickly copied from the master branch.
	glibmm-2.4 shall use its own scripts and extra_defs_gen files.

2018-12-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	docextract_to_xml.py: Add --exclude-file option

	* tools/defs_gen/docextract.py:
	* tools/defs_gen/docextract_to_xml.py: Add -x or --exclude-file option.
	Useful when generating gio_docs.xml or (in gtkmm-3) gtk_docs.xml.
	Remove the -d and -o options, which have been accepted, but have done
	nothing.

2018-12-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	tools/gen_scripts: Update for non-source-dir builds

	Most modules (e.g. glib) can be built in a directory separated from the
	source directory. Update the scripts that generate .defs and doc.xml files
	to handle that. See gtkmm!11.
	The environment variable JHBUILD_SOURCES is not used any more.
	Instead the environment variables GMMPROC_GEN_SOURCE_DIR and
	GMMPROC_GEN_BUILD_DIR are read. See comments in init_generate.sh.

2018-12-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gio/src/filelist.am: Remove giomm_files_[hg|ccg]

	They are defined also in gio/src/filelist.gmake.am. They should have been
	removed from filelist.am when filelist.gmake.am was created.

2018-12-17  Daniel Boles  <dboles@src.gnome.org>

	stringutils: Don't use @retval here either

	as pointed out by Kjell:
	https://gitlab.gnome.org/GNOME/gtkmm/merge_requests/9#note_389406

2018-12-16  Daniel Boles  <dboles@src.gnome.org>

	fileutils|IOChannel: Don’t use @retval on out args

	as it is for documenting particular values of the return variable.

	Replace @retval with @param[out], and while here, reorder some arguments
	in doc comments to match the order they have in function argument lists.

	See https://gitlab.gnome.org/GNOME/gtkmm/merge_requests/9 for more
	disussion on the rationale for this.

2018-12-06  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::TlsConnection: Disable deprecation warnings from glib

	g_tls_connection_[set,get]_rehandshake_mode() have been deprecated in glib/gio.
	They can't be deprecated in the stable glibmm-2-58 branch now.
	This patch makes it possible to build glibmm-2.58.x against the newest glib.

2018-10-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	2.58.0

2018-10-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	2.56.1

2018-10-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Add tools/gen_scripts/generate_all.sh

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update .gitignore

	The Visual Studio build files are now in MSVC_NMake, not MSVC_201x.

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update build instructions in README.win32

	Let people know how Visual Studio builds are now done via NMake
	Makefiles, and the various build options available.

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	build: Remove Visual Studio 2015 projects

	Remove them as they have been superseded by the NMake Makefiles.

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	build: Add NMake Makefiles

	This adds a set of NMake Makefiles that can be used to build glibmm with
	Visual Studio 2015 or later (2013 is not supported as it does not have
	enough C++-11 support).  These NMake Makefiles are now dist'ed instead
	of the Visual Studio 2015 projects as it is intended that the NMake
	Makefiles will replace the Visual Studio projects, for maintenance
	reasons.

	Note that for the C++11 versions of glibmm, we name the DLLs and LIBs in
	the form of <library>-vc140-2_4.[dll|lib] or
	<library>-vc140-d-2_4.[dll|lib] since for both Visual Studio 2015 and
	2017 builds as they both link to the Visual Studio v140 C/C++ runtimes.

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	build: Split out automake-specific items from filelist.am's

	This will prepare the filelist.am's to be also usable with the NMake
	Makefiles, so that they can be shared with the autotools build files.

2018-10-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	builds: Rename MSVC_Net2015 as MSVC_NMake

	This is to prepare the transition the Visual Studio build files into
	NMake Makefiles.

2018-10-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	tools/test_scripts/testheaders.sh: Fix a directory test

2018-10-07  Daniel Boles  <dboles@src.gnome.org>

	AsyncResult: Fix grammar error, <tt>ify enumerator

	This was not a grammar error before C++ification! But let’s fix it
	anyway, and give the enumeration name some nice formatting as well.

2018-08-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Avoid compiler warnings from function pointer conversions

	gcc8 -Wextra prints a warning when a single reinterpret_cast is used for
	conversion between different types of function pointers. The previous fix
	with a union in Glib::bitwise_equivalent_cast<>() is not standard C++.
	Rename the function to Glib::function_pointer_cast<>(), and use two
	reinterpret_casts as recommended in gcc's documentation.

	* glib/src/optiongroup.ccg: Use a reinterpret_cast to convert from
	a function pointer to void*. That's possible now. It's "conditionally
	supported", starting with C++11.

	See https://github.com/libsigcplusplus/libsigcplusplus/issues/8

2018-08-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC builds: Ensure we build variantdbusstring.cc

	...this was an added source file that ought to be included.  Also ensure
	that the corresponding header gets "installed".

2018-08-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC builds: Require Visual Studio 2015

	It was since 2.50.1 when we actually needed C++-11 features beyond what
	Visual Studio 2013 supports, so bump the required Visual Studio version
	to 2015, so that things will continue to build.

2018-07-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	configure.ac: Require glib-2.0 >= 2.55.1

	and update the bug report address in AC_INIT.

	Fixes #29

2018-07-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Avoid compiler warnings from function pointer conversions

	gcc8 -Wextra prints a warning when reinterpret_cast is used for conversion
	between different types of function pointers. Avoid that by adding
	Glib::bitwise_equivalent_cast<>() with a union with members of
	the two types of function pointers.

	* glib/src/optiongroup.ccg: Use Glib::bitwise_equivalent_cast<>() to convert
	from a function pointer to void*.

	See https://github.com/libsigcplusplus/libsigcplusplus/issues/1

2018-07-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Revert "Avoid compiler warnings from function pointer conversions"

	This reverts commit 5d953603f30f0452cb9da35e3083a3fc145c3f57.

	This can be done in a better way by keeping the union in a template function.

2018-07-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Avoid compiler warnings from function pointer conversions

	gcc8 -Wextra prints a warning when reinterpret_cast is used for conversion
	between different types of function pointers. Avoid that by instead using
	a union with members of the two types of function pointers.

	See https://github.com/libsigcplusplus/libsigcplusplus/issues/1

2018-07-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::MainContext: g_main_context_wait() is deprecated

	* glib/glibmm/main.cc: Add G_GNUC_[BEGIN|END]_IGNORE_DEPRECATIONS.
	* glib/glibmm/main.h: Update the description of MainContext::wait().

2018-07-02  Daniel Boles  <dboles@src.gnome.org>

	SocketClient: Take copy in RefPtrs for signal args

	Without doing so, the C++ arguments take ownership of the C GObjects
	passed to the handler, so both go out of scope on exiting the handler.

	https://gitlab.gnome.org/GNOME/glibmm/issues/28

2018-05-20  Daniel Boles  <dboles@src.gnome.org>

	AsyncResult: Bin obsolete docs re: initing GThread

	As the GLib Threads documentation states:

	“Since version 2.32, the GLib threading system is automatically
	initialized at the start of your program, and all thread-creation
	functions and synchronization primitives are available right away.”

2018-04-26  Clemens Lang  <cal@macports.org>

	ustring: Fix wchar conversion on macOS with libc++

	libc++ internally represents std::wstrings in UCS-4 just like libstdc++,
	but does not set the __STDC_ISO_10646__ define. This caused the code to
	fall back to calling iconv with the WCHAR_T source character set, which
	does not correctly convert these strings and leads to errors, for
	example in inkscape on startup.

	See https://trac.macports.org/ticket/56214 for an instance of such
	a problem.

	Re-use the UCS4 to UTF8 conversion code when libc++ is detected, which
	solves this. Bug 795338

2018-03-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	2.56.0

2018-03-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::DesktopAppInfo: Add get_locale_string()

2018-03-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::Application: Add set_option_context_*()

	Add set_option_context_parameter_string(), set_option_context_summary(),
	set_option_context_description().

2018-03-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::Application: Add property_resource_base_path_string()

	property_resource_base_path() has the wrong return type, bool instead of
	std::string. It can't be fixed without breaking API/ABI. For now, deprecate
	property_resource_base_path() and add hand-coded
	property_resource_base_path_string() with the correct type. Bug 787496

2018-03-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::RefPtr: Add get()

	Analogous to std::shared_ptr::get(). Bug 495762

2018-03-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Module: Remove obsolete _IGNORE() directives

2018-03-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::AppInfo: Change some parameter names

2018-03-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::DataInputStream: Deprecate read_until() and friends

	Deprecate read_until(), read_until_async() and read_until_finish().
	The corresponding glib functions have been deprecated.

2018-03-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::TlsClientConnection: Deprecate set/get/property_use_ssl3()

	The corresponding glib functions have been deprecated.

2018-03-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib, Gio: Regenerate docs.xml and .defs files

	* tools/extra_defs_gen/generate_defs_gio.cc: Add an initial call to
	get_defs(G_TYPE_APPLICATION) to make sure the first call to get_defs()
	requests info on a GObject, not a GInterface.

2018-03-02  Pavlo Solntsev  <pavlo.solntsev@gmail.com>

	member.m4: Add _MEMBER_SET_STR, setter for strings

	Introduce a macro to generate appropriate setter for a structure which
	has gchar* as a member. Bug 793778

2018-02-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::DataInputStream: Disable deprecation warnings from glib

	g_data_input_stream_read_until(), _read_until_async() and _read_until_finish()
	have been deprecated in glib/gio. They can't be deprecated in the stable
	glibmm-2-54 branch now. This patch makes it possible to build glibmm-2.54.x
	against the newest glib.

2018-01-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::TimeoutSource: Use monotonic time consistently

	* glib/glibmm/main.[cc|h]: Use Source::get_time() consistently.
	Remove a misleading sentence from the documentation of
	Source::get_current_time(). Bug 792524

2018-01-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::TlsClientConnection: Disable deprecation warnings from glib

	g_tls_client_connection_[set|get]_use_ssl3() and the use-ssl3 property
	have been deprecated in glib/gio. They can't be deprecated in the stable
	glibmm-2-54 branch now. This patch makes it possible to build glibmm-2.54.x
	against the newest glib.

2018-01-15  Daniel Boles  <dboles@src.gnome.org>

	Variant: Slightly elaborate Variant<Variant> docs

	Point out get_n_children() for checking nullable status, and copy the
	doc for Variant<VariantBase> to Variant< Variant<T> >.

	https://bugzilla.gnome.org/show_bug.cgi?id=778219

2017-12-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Threads::Private: Fix gobj()

	Bug 791711

2017-11-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::VariantBase::cast_dynamic(): Remove noexcept(false)

	noexcept(false) has the same meaning as no noexcept specification, but
	Doxygen adds "noexcept" instead of "noexcept(false)" in the detailed
	description of the method, which is confusing. Bug 789329

2017-10-23  Daniel Boles  <dboles@src.gnome.org>

	Variant: Fix typo: unclosed monospace tag

2017-10-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc, _WRAP_METHOD_DOCS_ONLY: Optionally suppress @return section

	Add an optional 'voidreturn' parameter that can be specified if the wrapped
	C function returns a value, but the corresponding C++ method returns void.
	Bug 787978

2017-09-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::Action: Add exception specs to errthrow

2017-09-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::KeyFile, OptionContext, Regex: Add exception specs to errthrow

2017-09-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: _WRAP_METHOD: Accept optional list of exceptions in errthrow

	In _WRAP_METHOD[_DOCS_ONLY], the errthrow parameter can now contain an
	optional list of exceptions with default value Glib::Error.
	Corresponding @throws Doxygen commands are included in the documentation,
	if the documentation does not contain other @throws commands (e.g.
	from *_docs_override.xml). Bug 787979

2017-09-24  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::DataInputStream: Fix the documentation of read_line_utf8()

	Hand-code the documentation of read_line_utf8() and read_line_finish_utf8().
	Use Glib::convert_return_gchar_ptr_to_stdstring() to set the output
	parameter. It handles the case when the char* is NULL.
	Minor fixes in the documentation of several other methods.

2017-09-24  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Suppress the @return section if return type is void

	If the wrapped C function returns a value, but the corresponding C++ method
	returns void, _WRAP_METHOD() suppresses the @return section in the
	documentation. Bug 787978

2017-09-20  Murray Cumming  <murrayc@murrayc.com>

	tests: Avoid unused function warnings from G_DECLARE_INTERFACE()

2017-09-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	tests/glibmm_variant: Use C++14 features conditionally

	* glib/src/variant.hg: Add (void) to intentionally unused variables,
	thus avoiding warnings when the test case is built with clang++.
	* tests/glibmm_variant/main.cc: Use std::get<Number>(std::tuple)
	(not std::get<Type>()) when compiling with only C++11 support.
	Bug 787648

2017-09-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Variant: Avoid warnings from clang++

	Bug 787648

2017-09-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	2.54.1

2017-09-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Variant<std::tuple>: Don't use std::index_sequence from C++14

	std::index_sequence and std::index_sequence_for are new in C++14,
	but this version of glibmm requires only C++11.
	The code that replaces std::index_sequence has been provided by
	Jonathan Wakely <zilla@kayari.org>. Bug 787648

2017-09-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Convert all property documentation to C++

	Bug 787698

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::Application docs: Add a note to property_resource_base_path()

	The type of property_resource_base_path() shall be std::string (is bool).
	Fixing this would break API and ABI. A fix has to wait until the next
	API/ABI break. For now, add a note to the documentation. Bug 787496

2017-09-13  Murray Cumming  <murrayc@murrayc.com>

	2.54.0

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::ActionGroup, Settings: Add detail_name to some _WRAP_SIGNAL()s

	* gio/src/actiongroup.hg: signal_action_added(), signal_action_removed(),
	signal_action_enabled_changed() and signal_action_state_changed() accept
	an 'action_name' parameter.
	* gio/src/settings.hg: signal_writable_changed() accepts a 'key' parameter.

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Regenerate gio_signals.defs and gio_signals.defs.patch

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	generate_extra_defs.cc: Write signal flags to .defs files

	Bug 785895

2017-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Write signal flags to generated documentation

	Bug 785895

2017-09-12  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Warn for unmatched deprecations in signals and properties

	Warn if a signal or a property is deprecated in the _WRAP_* macro,
	but not in the .defs file. (Warnings if a signal or a property is
	deprecated in the .defs file, but not in the _WRAP_* macro have been
	added previously.)

2017-09-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Variant: Improved support for D-Bus object paths and signatures

	* glib/glibmm/filelist.am: Add variantdbusstring.h and variantdbusstring.cc.
	* glib/glibmm/variantdbusstring.[cc|h]: New files. String classes meant
	only for Variants with D-Bus object paths or D-Bus signatures.
	* glib/src/variant.[ccg|hg]: Add specializations for
	Variant<Glib::DBusObjectPathString>, Variant<Glib::DBusSignatureString>
	and Variant<std::vector<Glib::DBusObjectPathString>>.
	* glib/src/varianttype.[ccg|hg]: Add VARIANT_TYPE_OBJECT_PATH_ARRAY.
	* tests/glibmm_variant/main.cc: Add test_object_path().

	Make it possible to create a composite Variant containing variant type
	o (D-Bus object path) or g (D-Bus signature). Bug 785700

2017-09-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	tests/glibmm_variant: Add test of Variant<std::tuple>

	Bug 777791

2017-09-08  Alexander Rössler  <alexander.roessler@zuehlke.com>

	Glib::Variant: Add template specialization for std::tuple

	Bug 777791

2017-09-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Regenerate glib_signals.defs and gio_signals.defs

2017-09-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	generate_extra_defs.cc: Write default values of properties to .defs files

	Bug 785895

2017-09-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Write default values of properties to generated documentation

	Bug 785895

2017-09-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Accept curly braces in default values in _WRAP macros

	In C++11 default values of function arguments can contain curly braces,
	such as const Glib::RefPtr<SomeClass>& x = {}. Bug 783216 comment 13

2017-09-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Remove obsolete TODO comments

2017-09-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Fix _WRAP_ENUM for enumerators with apostrophes

	* tools/enum.pl: Handle enumerator values like 'B', 1u << 2, (gint)(1u << 31).
	Suppress repeated long warnings.
	* tools/pm/Output.pm: Handle enumerator values like 'B'. (1u << 2 and
	(gint)(1u << 31) require no fix.)

2017-09-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib, Gio: docs_override.xml: Add substitute_enumerator_name elements

	Don't modify names of preprocessor macros.

2017-09-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gmmproc: Add new elements types for the docs_override.xml files

	* tools/pm/DocsParser.pm: Add handling of substitute_type_name and
	substitute_enumerator_name elements in docs_override.xml files.
	This is a small part of the fix for enum class and enums inside classes,
	discussed in bug 86864, which is implemented in full in the next ABI-
	reaking version of glibmm. This particular part does not break ABI,
	it just improves the generated documentation.

2017-09-04  Murray Cumming  <murrayc@murrayc.com>

	2.52.1

2017-09-01  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::VariantIter: Fix typos in copyright notice

2017-08-30  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Update the Free Software Foundation address in copyright notices

	Bug 786824

2017-08-30  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gio/src/filelist.am: Really include all .hg files in giomm_files_hg

	Due to an extra blank some files were not processed by gmmproc.

2017-08-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio: Exclude DesktopAppInfo from wrap_init.cc on MacOS

	Modify the conditional inclusion of desktopappinfo.h in giomm.h and
	wrap_init.cc. It shall not be included when running under MacOS. This should
	have been fixed by commit fe99895f8d3b61409c416f1244a29f2aa3478f96.
	Bug 781947

2017-08-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	gio/src/filelist.am: Always include all .hg files in giomm_files_hg

	Commit 0bc35fb4fa28ee8564fecab4e21011dc42e74ed1 fixed giomm_files_hg,
	but in the wrong way. giomm_files_hg shall always include all .hg files,
	regardless of which ones are used on the present platform.

2017-07-30  Daniel Boles  <dboles.src@gmail.com>

	miscutils: Update docs of get_*_name() from GLib

	plus some minor tweaks that don't quite seem worth changing upstream.

	This adds some useful extra context for get_(prg|user|real)name().

2017-06-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::TlsDatabase: Fix memory leak in a vfunc

	create_certificate_handle_vfunc() shall delete the returned character array
	after it has been copied to a Glib::ustring, or else it leaks memory.
	Bug 783360

2017-06-23  Murray Cumming  <murrayc@murrayc.com>

	2.52.0

2017-05-31  Daniel Boles  <dboles.src@gmail.com>

	RefPtr: Clarify comment about undefined behaviour

	Dereferencing a null pointer does not necessarily cause a segfault:
	it is undefined behaviour, which means anything, or nothing, may happen.
	Avoid setting an expectation that a segfault will reliably occur here.

2017-05-31  Daniel Boles  <dboles.src@gmail.com>

	ActionMap: Revert accidental changes to Slot decls

	I cherry-picked a commit from master that should only have updated
	documentation, but because the way of declaring slots has been changed
	in libsigc++, it ended up changing them here too. That was unintentional

2017-05-29  Daniel Boles  <dboles@src.gnome.org>

	Variant: Use own get_n_children() instead of C API

	This looks much less ugly.

2017-05-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Gio::UnixSocketAddress::create(): Remove a default value

	Remove the default value of the 'type' parameter. As there is another
	create() with one parameter, the default value makes a call to
	create("pathname") ambiguous. Bug 782592

2017-05-12  Vyacheslav Yurkov  <uvv.mail@gmail.com>

	Gio::DBus::Proxy: Wrap call() and call_sync() methods. Bug 781818

2017-05-08  Murray Cumming  <murrayc@murrayc.com>

	2.51.7

2017-05-08  Murray Cumming  <murrayc@murrayc.com>

	gio/src/filelist.am: Really use desktopappinfo.hg to fix the build.

	This fixes a build breakage, when building from a fresh checkout,
	introduced by commit dd671f29ff9a005776ebd9e7cf20fdc5e44c14b8 .

2017-05-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::VariantType: Deprecate first() and next(). Add get_item_types()

	Bug 775741

2017-05-05  Daniel Boles  <dboles@src.gnome.org>

	ActionMap: Improve add_action_with_parameter docs

	• Clarify why the old overload has been deprecated: it simply does not
	work for the desired result because the parameter_type was not passed

	• Elaborate on the purpose of the parameter_type in the new overload.

	https://bugzilla.gnome.org/show_bug.cgi?id=774444

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	ActionMap: Really fix add_action_with_parameter()

	I replaced the old line that both created an Action without a parameter
	and added it, only with a line that creates an Action with a
	parameter... but did not add it. Of course, we need to do that, too.

	https://bugzilla.gnome.org/show_bug.cgi?id=774444

2017-05-04  U-eagle\daniel.boles  <daniel.boles@eagle-ws29.eagle.local>

	Gio::SimpleAction: Move set_state to original pos

	If I’d realised there was a specific commit that protected this, I would
	have reverted it, rather than doing it manually in my previous commit.

	Completes reversion of commit b7431bca6ccbd9f918b5ef73bae65a1c7828e7e0 –
	“Gio::SimpleAction: Make set_state() protected.”

	https://bugzilla.gnome.org/show_bug.cgi?id=777953

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	Gio::SimpleAction: Make set_state() public

	This is needed to apply the requested state in a custom handler for
	signal_change_state(). It was protected on an assumption that when the C
	doc for g_simple_action_set_state() said “This should only be called by
	the implementor of the action”, it meant the implementor of a subclass.

	But the C docs for signal change-state are clear that it means the
	implementor of the signal handler. Without such a user being able to
	call set_state(), they can’t apply the new state, unless they subclass
	SimpleAction, which is a lot to require for such a simple case as this.

	https://bugzilla.gnome.org/show_bug.cgi?id=777953

2017-05-04  Murray Cumming  <murrayc@murrayc.com>

	ActionMap: Add back add_action_with_parameter() without parameter_type.

	To avoid breaking ABI due to this commit that added a parameter:
	https://git.gnome.org/browse/glibmm/commit/?h=glibmm-2-52&id=19ea8885ef17743c7c6e436e770b3b3835ca5016
	Bug #774444

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	ActionMap—Reorder add_action_with_parameter’s args

	This matches e.g. simpleaction.hg and is what I originally intended.

	https://bugzilla.gnome.org/show_bug.cgi?id=774444

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	Gio::ActionMap: trivially move an _IGNORE

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	Gio::ActionMap: Improve declaration order/spacing

	This puts several things in more logical places and adds a couple of
	line breaks that make it easier to see the key sections in the header.

	https://bugzilla.gnome.org/show_bug.cgi?id=774444

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	Gio::ActionMap: Fix add_action_with_parameter()

	It was not registering the parameter type for the action on create, so
	when activating the action later and passing a parameter, an assertion
	failed about the expected and passed parameter types/counts not matching
	and the parameter was not usable.

	https://bugzilla.gnome.org/show_bug.cgi?id=774444

2017-05-04  Daniel Boles  <dboles@src.gnome.org>

	SettingsSchemaKey: Add missing value/range methods

	https://bugzilla.gnome.org/show_bug.cgi?id=774903

2017-04-30  John Ralls  <jralls@ceridwen.us>

	Bug 781947 - Build fails on MacOS because glib doesn't have gdesktopinfo.

	Disable building desktopapinfo.cpp with the same test used in glib.

2017-04-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Glib::Object: Suppress deprecation warning for g_object_newv()

	g_object_newv() is deprecated in favor of g_object_new_with_properties(),
	which is new in glib 2.54.

2017-04-04  Murray Cumming  <murrayc@murrayc.com>

	C++11: Variant: Replace more throw(std::bad_cast) with noexcept(false).

	This is necessary for C++17 which completely removes dynamic
	exception specifications.
	See https://bugzilla.redhat.com/show_bug.cgi?id=1438766

2017-04-04  Murray Cumming  <murrayc@murrayc.com>

	C++11: Variant: Replace throw(std::bad_cast) with noexcept(false).

	This is necessary for C++17 which completely removes dynamic
	exception specifications.
	See https://bugzilla.redhat.com/show_bug.cgi?id=1438766

2017-03-22  Murray Cumming  <murrayc@murrayc.com>

	2.51.6

	This is the first 2.51.* version of glibmm-2.4.
	There were previously some 2.51 versions of glibmm-2.52, which
	installed in parallel with glibmm-2.4,
	but there will not be any stable version of glibmm-2.52.
	There might instead be a stable version of glibmm-2.54 eventually.

2017-03-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gio::Application::get_default(): Add refreturn

	Bug 779936

2017-02-14  Daniel Boles  <dboles@src.gnome.org>

	SimpleAction—doc—Erase wrong line & duplicate word

	In case anyone is as easily confused as me…

	https://bugzilla.gnome.org/show_bug.cgi?id=778575

2017-02-13  Daniel Boles  <dboles@src.gnome.org>

